import React from 'react';
import { IFile, IUploadManagerOptions } from '@devesharp/upload-files-js';
interface IPropsUploadFiles extends React.ComponentProps<any> {
    drag?: boolean;
    multiple?: boolean;
    options: IUploadManagerOptions;
}
export interface IRefUploadFiles extends React.ComponentProps<any> {
    cancelFile: (file: IFile) => void;
    retryFilesError: () => void;
}
export declare const UploadFiles: React.ForwardRefExoticComponent<Pick<IPropsUploadFiles, string | number> & React.RefAttributes<IRefUploadFiles>>;
export {};
//# sourceMappingURL=UploadFiles.d.ts.map